# Load libraries
from machine import Pin
from time import sleep
import ADS1115

# Initialization of the ADC
ADS1115.init(0x48, 1, 4, False)

# Endless loop for reading out the ADC
while True:
    Analog = ADS1115.read(0)
    # Conversion from analog value to voltage
    Volt = ADS1115.raw_to_v(ADS1115.read(0))

    # Serial output of the analog value and the calculated voltage
    print("Analog value: " + str(Analog))
    print("Analog voltage value: " + str(Volt) + " V")

    # Query whether the analog value has changed with serial output
    if Analog >= 27000:
        print("Limit value: reached.")
        print("----------------------------------------")
    else:
        print("Limit value: not reached.")
        print("----------------------------------------")
    sleep(2)